restore_default_config()

assert(metadata_to_config('cty-suffix-sg') == 'suffix_sg')
assert(metadata_to_config('last-digit') == 'last_digit')

local output = metalist_to_configlist(pandoc.MetaList({
                                            pandoc.MetaInlines(pandoc.Str('number')),
                                            pandoc.MetaInlines(pandoc.Str('suffix')),
                                            pandoc.MetaInlines(pandoc.Str('unit')),
                                            pandoc.MetaInlines(pandoc.Str('era'))}))
assert(output[1] == 'number'
       and output[2] == 'suffix'
       and output[3] == 'unit'
       and output[4] == 'era')

local output = metalist_to_configlist(pandoc.MetaList({
                                          pandoc.MetaInlines({
                                              pandoc.Str('the'),
                                              pandoc.Space(),
                                              pandoc.Str('third')})}))
assert(output[1] == 'the third')

assert(format_century_number(6) == pandoc.Str('6'))
config.numeral_type = 'spelled_out'
assert(format_century_number(6) == pandoc.Str('sixth'))
config.numeral_type = 'roman'
config.numeral_style = 'smallcaps'
assert(format_century_number(6) == pandoc.SmallCaps(pandoc.Str('vi')))
assert(format_century_number(-6) == pandoc.SmallCaps(pandoc.Str('vi')))
config.numeral_style = 'uppercase'
assert(format_century_number(6) == pandoc.Str('VI'))
restore_default_config('numeral_type')
restore_default_config('numeral_style')

assert(get_last_digit(235) == 5)
assert(get_last_digit(5) == 5)

assert(get_raw_ordinal_suffix('1') == 'rst')
assert(get_raw_ordinal_suffix('+1') == 'rst')
assert(get_raw_ordinal_suffix('-1') == 'rst')
assert(get_raw_ordinal_suffix('2') == 'nd')
assert(get_raw_ordinal_suffix('9') == 'th')
assert(get_raw_ordinal_suffix('20') == 'th')
assert(get_raw_ordinal_suffix('21') == 'rst')
config.number_part_for_ordinal_suffix = 'whole'
assert(get_raw_ordinal_suffix('21') == 'th')
assert(get_raw_ordinal_suffix('25') == 'th')
config.numeral_type = 'spelled_out'
assert(get_raw_ordinal_suffix('1') == '')
restore_default_config('numberal_type')
restore_default_config('number_part_for_ordinal_suffix')

assert(get_era_indication('+6', 'christian') == pandoc.Str(' AD'))
assert(get_era_indication('-6', 'christian') == pandoc.Str(' BC'))
assert(get_era_indication('6', 'christian') == pandoc.Str(''))

config.parts_order = { 'unit', 'era', 'number', 'suffix' }
local input = { '3', 'rd', 'century', 'CE' }
local output = reorder_parts(input)
assert(output[1] == 'century'
       and output[2] == 'CE'
       and output[3] == '3'
       and output[4] == 'rd')
restore_default_config('parts_order')

